/* font-family: 'Ubuntu', sans-serif; */

body {
    background-image: url('../img/bg-img.png');
    background-size: cover;
    background-repeat: no-repeat;
    font-weight: 400;
    font-family: 'Ubuntu', sans-serif;
}

header {
    color: white;
    background-color: rgba(0, 0, 0, .5);
    padding: 18px 0;
    margin-bottom: 54px;
}

nav {
    margin: 0 auto;
    max-width: 1208px;
    display: flex;
    align-items: center;
}

.logo {
    font-weight: 700;
    text-transform: uppercase;
    font-size: 22px;
    text-decoration: none;
    color: #fff;
    transition: color .3s ease;
}

.logo:hover {
    color: #3CB878;
}

.logo-and-icons {
    width: 979px;
    display: flex;
    justify-content: space-between;
    position: relative;
}

.interactive-icons a {
    padding-right: 27px;
    color: #fff;
    text-decoration: none;
    transition: color .3s ease;
}

.interactive-icons a:hover {
    color: #3CB878;
}


.interactive-icons::after {
    content: "";
    display: block;
    border-left: 1px solid rgba(255, 255, 255, .9);
    height: 19px;
    position: absolute;
    right: -19px;
    top: 4px;
}

.interactive-icons a:nth-child(3) {
    padding-right: 0px;
}

.account-settings {
    padding-left: 48px;
    font-size: 14px;
}

.account-settings a {
    color: #fff;
    text-decoration: none;
    transition: color .3s ease;
    cursor: context-menu;
}

.account-link:hover {
    color: #3CB878;
    cursor: pointer;
}



/* ==================MAIN============== */

.sign-up-form {
    margin: 0 auto;
    width: 444px;
    height: 584px;
    background-color: #fff;
    color: #434343;
    position: relative;
}

.container {
    width: 321px;
    margin: 0 auto;
}

.sign-up-bar {
    display: flex;
    justify-content: space-between;
    padding-top: 31px;

}


.sign-up-title {
    font-size: 20px;
}

.sign-up-title::before {
    content: "";
    display: block;
    border-left: 18px solid #3CB878;
    height: 18px;
    position: absolute;
    left: 0;
    top: 32px;
}


.log-in {
    text-decoration: none;
    color: #3CB878;
    font-size: 14px;
    transition: all 3.s ease;
}

.log-in:hover {
    text-decoration: underline;
    color: #01813F;
}

.sign-up-buttons {
    margin-top: 15px;
    display: flex;
}

.facebook-btn {
    background-color: #305DB8;
    height: 46px;
    width: 157px;
    display: inline-block;
    color: #fff;
    font-size: 16px;
    text-decoration: none;
    border-radius: 4px;
    text-align: center;
    position: relative;
    display: flex;
    align-items: center;  
    margin-right: 4px;  
    transition: all .3s ease;
}

.facebook-btn:hover {
    background-color: #022263;
}

.facebook-btn::before {
    content: "";
    display: block;
    border-left: 1px solid #0A162F;
    height: 28px;
    position: absolute;
    left: 48px;
    top: 10px;
    opacity: 10%;
}

.facebook-logo {
    padding-left: 11px;
    padding-right: 39px;
}

.google-btn {
    background-color: #DF4A32;
    height: 46px;
    width: 157px;
    display: inline-block;
    color: #fff;
    font-size: 16px;
    text-decoration: none;
    border-radius: 4px;
    text-align: center;
    position: relative;
    display: flex;
    align-items: center;   
    transition: all .3s ease;
}

.google-btn:hover {
    background-color: #AB1F09;
}



.google-btn::before {
    content: "";
    display: block;
    border-left: 1px solid #2b0d09;
    height: 28px;
    position: absolute;
    left: 49px;
    top: 10px;
    opacity: 10%;
}

.google-logo {
    padding-left: 11px;
    padding-right: 39px;
}

.registration-form {
    margin-top: 32px;
}

.separator {
    text-align: center;
    color: #848484;
    position: relative;
    margin-bottom: 11px;
    font-size: 14px;
}


.separator::before {
    content: "";
    display: block;
    border-bottom: 1px solid #F2F2F2;
    width: 152px;
    position: absolute;
    top: 8px;
    left: 0;
}

.separator::after {
    content: "";
    display: block;
    border-bottom: 1px solid #F2F2F2;
    width: 152px;
    position: absolute;
    top: 8px;
    right: 0; 
}

.registration-form .user-data {
    box-sizing: border-box  ;
    width: 324px;
    height: 46px;
    border: 1px solid #F2F2F2;
    border-radius: 4px;
    margin-bottom: 13px;
    padding-left: 20px;
    transition: all .3s ease;
}

.registration-form input:nth-child(6) {
    margin-bottom: 11px;
}

.registration-form input::placeholder {
    color: #BEBEBE;
    font-size: 14px;
}

.registration-form .user-data:focus {
    outline: 0;
    box-shadow: 0px 3px 8px rgba(0, 0, 0, 0.21);
}

.checkbox-bar {
    
}

.checkbox {
    display: none;
}

label {
    padding-left: 8px;
    position: relative;
}

label::before {
    content: "";
    display: inline-block;
    box-sizing: border-box;
    width: 20px;
    height: 20px;
    border: 1px solid #F2F2F2;
    margin-left: -8px;
    transition: all .3 ease;
    cursor: pointer;
    position: absolute;
    bottom: -2px;
}

input[type="checkbox"]:checked + label::before {
    content: url('../img/check.svg');
}

.checkbox-text {
    padding-left: 28px;
    color: #434343;
    font-size: 14px;
    text-decoration: none;
}



.checkbox-link {
    color: #3CB878;
    transition: all .3s ease;
    position: relative;
    text-decoration: none;
}

.checkbox-link:hover {
    color: #01813F;
}

.checkbox-link:hover::after {
    content: "";
    display: block;
    border-bottom: 1px solid #01813F;
    width: 120px;
    position: absolute;
    right: 0;
    bottom: -3px;

}


.create-account-btn {
    margin-top: 15px;
    width: 324px;
    height: 46px;
    background-color: #3CB878CC;
    opacity: 80%;
    border-radius: 4px;
    border: 0;
    color: #fff;
    font-size: 16px;
    position: relative;
    transition: all .3s ease;
}

.create-account-btn:hover {
    background-color: #01813F;
}

/* footer {
    margin-bottom: 74px;
} */